% Generated by roxygen2 (4.0.1): do not edit by hand
\name{list.exclude}
\alias{list.exclude}
\title{Exclude members of a list that meet given condition.}
\usage{
list.exclude(.data, cond, envir = parent.frame())
}
\arguments{
\item{.data}{\code{list}}

\item{cond}{A logical lambda expression to exclude items}

\item{envir}{The environment to evaluate mapping function}
}
\description{
Exclude members of a list that meet given condition.
}
\examples{
\dontrun{
x <- list(p1 = list(type="A",score=list(c1=10,c2=8)),
       p2 = list(type="B",score=list(c1=9,c2=9)),
       p3 = list(type="B",score=list(c1=9,c2=7)))
list.exclude(x,type=="B")
list.exclude(x,min(score$c1,score$c2) >= 8)
}
}

