% Generated by roxygen2 (4.0.1): do not edit by hand
\name{list.group}
\alias{list.group}
\title{Group a list by the value of an expression evaluated for each member.}
\usage{
list.group(.data, key, ..., envir = parent.frame())
}
\arguments{
\item{.data}{\code{list}}

\item{key}{A lambda expression for the group key}

\item{...}{Additional parameters passed to \code{unique}}

\item{envir}{The environment to evaluate mapping function}
}
\description{
Group a list by the value of an expression evaluated for each member.
}
\examples{
\dontrun{
x <- list(p1 = list(type="A",score=list(c1=10,c2=8)),
       p2 = list(type="B",score=list(c1=9,c2=9)),
       p3 = list(type="B",score=list(c1=9,c2=7)))
list.group(x,type)
list.group(x,mean(unlist(score)))
}
}

